GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []string | List of object IDs |
| deleteFlags | no | []int | Filtering by object's deleteFlag: 0 indicates objects that are not deleted, 1 indicates objects that are in the recycle bin, 2 indicates objects that have been deleted. The default value is 0. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | []ObjectInfo | Query results, The field to be returned should be specified in the request code segment. |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getObjectById { getObjectById(input: { objectIdList: [\"111\", \"112\"] }) { errorCode errorInfo result { objectId objectType objectName tangibleInfo { tangibleId tangibleName tangibleType } } } }"
}'{
"data": {
"getObjectById": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"objectId": "112",
"objectType": 4,
"objectName": "testname112",
"tangibleInfo": [
{
"tangibleId": "testtangibleid2",
"tangibleName": "testtangiblename2",
"tangibleType": "ext"
}
]
},
{
"objectId": "111",
"objectType": 4,
"objectName": "testname111",
"tangibleInfo": [
{
"tangibleId": "testtangibleid2",
"tangibleName": "testtangiblename2",
"tangibleType": "ext"
}
]
}
]
}
}
}